# Uses of Enum
org.apache.avro.Schema.Type

Packages that use Schema.Type
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.generic
A generic representation for Avro data.

## Uses of Schema.Type in org.apache.avro

Methods in org.apache.avro that return Schema.Type
Modifier and Type
Method
Description
`Schema.Type`
Schema.`getType()`
Return the type of this schema.
`static Schema.Type`
Schema.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Schema.Type[]`
Schema.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.avro with parameters of type Schema.Type
Modifier and Type
Method
Description
`static Schema`
Schema.`create(Schema.Type type)`
Create a schema for a primitive type.

## Uses of Schema.Type in org.apache.avro.generic

Methods in org.apache.avro.generic that return Schema.Type
Modifier and Type
Method
Description
`static Schema.Type`
GenericData.`optimalValueType(Schema schema, LogicalType logicalType, Class<?> convertedElementType)`
Determine the optimal value type for an array.
`Schema.Type`
PrimitivesArrays.BooleanArray.`valueType()`
`Schema.Type`
PrimitivesArrays.DoubleArray.`valueType()`
`Schema.Type`
PrimitivesArrays.FloatArray.`valueType()`
`Schema.Type`
PrimitivesArrays.IntArray.`valueType()`
`Schema.Type`
PrimitivesArrays.LongArray.`valueType()`
`abstract Schema.Type`
PrimitivesArrays.PrimitiveArray.`valueType()`
Methods in org.apache.avro.generic with parameters of type Schema.Type
Modifier and Type
Method
Description
`static GenericData.AbstractArray<?>`
PrimitivesArrays.`createOptimizedArray(int size, Schema schema, Schema.Type valueType)`
Create a primitive array if the value type is has an associated optimised implementation, otherwise a generic array is returned.